import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const WalletIcon = ({ originalWidth, originalHeight, color, ...props }) => (
  <Icon
    originalHeight={originalHeight}
    originalWidth={originalWidth}
    {...props}
  >
    <path
      d="M5.60865 4.86644L15.1763 2.25487L14.6696 1.23073C14.3381 0.565033 13.5296 0.290132 12.8639 0.621631L4.29883 4.86644H5.60865Z"
      fill={color}
    />
    <path
      d="M18.1462 2.33008C18.0276 2.33008 17.909 2.34625 17.7904 2.37859L15.5427 2.99307L8.67822 4.86617H16.4698H19.8656L19.4452 3.32457C19.2835 2.72356 18.7391 2.33008 18.1462 2.33008Z"
      fill={color}
    />
    <path
      d="M21.2698 5.80957H20.9626H20.5449H20.1271H16.9388H5.22313H3.68692H2.39326H2.1534H1.35025C0.924424 5.80957 0.544413 6.00631 0.296463 6.31625C0.183268 6.45909 0.0970242 6.6235 0.0485121 6.80407C0.0188658 6.91726 0 7.03585 0 7.15713V7.31883V8.85505V22.1716C0 22.9155 0.603706 23.5192 1.34756 23.5192H21.2672C22.011 23.5192 22.6147 22.9155 22.6147 22.1716V18.4119H14.6183C13.3543 18.4119 12.3275 17.3851 12.3275 16.1211V14.8867V14.469V14.0512V13.1241C12.3275 12.5042 12.5754 11.941 12.977 11.5286C13.3327 11.1621 13.8098 10.9141 14.3434 10.8521C14.4323 10.8414 14.524 10.836 14.6156 10.836H21.4935H21.9113H22.329H22.6147V7.15713C22.6174 6.41328 22.0137 5.80957 21.2698 5.80957Z"
      fill={color}
    />
    <path
      d="M23.5605 12.1245C23.4257 12.0005 23.2667 11.9062 23.0888 11.8442C22.9514 11.7984 22.8059 11.7715 22.6522 11.7715H22.6172H22.5902H22.1725H20.6659H14.6181C13.8742 11.7715 13.2705 12.3752 13.2705 13.119V13.7901V14.2078V14.6256V16.1187C13.2705 16.8625 13.8742 17.4662 14.6181 17.4662H22.6172H22.6522C22.8059 17.4662 22.9514 17.4393 23.0888 17.3935C23.2667 17.3342 23.4257 17.2372 23.5605 17.1132C23.83 16.8679 23.9998 16.5122 23.9998 16.1187V13.119C23.9998 12.7255 23.83 12.3697 23.5605 12.1245ZM17.4318 14.887C17.4318 15.2589 17.1299 15.5608 16.758 15.5608H16.3106C15.9387 15.5608 15.6368 15.2589 15.6368 14.887V14.4396C15.6368 14.224 15.7365 14.0326 15.8956 13.9114C16.0114 13.8224 16.1543 13.7658 16.3106 13.7658H16.4238H16.758C17.1299 13.7658 17.4318 14.0677 17.4318 14.4396V14.887Z"
      fill={color}
    />
  </Icon>
);

WalletIcon.defaultProps = {
  originalWidth: 24,
  originalHeight: 24,
};

WalletIcon.propTypes = {
  color: PropTypes.string,
  originalHeight: PropTypes.number,
  originalWidth: PropTypes.number,
};

export default WalletIcon;
